Security Enhanced Linux Reference Policy

# Layer: system

## Module: daemontools

Interfaces

### Description:

Policy for DJB's daemontools

### Interfaces:

daemontools_domtrans_multilog( domain )

##### Summary

Execute in the svc_multilog_t domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

daemontools_domtrans_run( domain )

##### Summary

Execute in the svc_run_t domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

daemontools_domtrans_start( domain )

##### Summary

Execute in the svc_start_t domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

daemontools_ipc_domain( domain )

##### Summary

An ipc channel between the supervised domain and svc_start_t

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access to svc_start_t.

daemontools_manage_svc( domain )

##### Summary

Allow a domain to create svc_svc_t files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

daemontools_read_svc( domain )

##### Summary

Allow a domain to read svc_svc_t files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

daemontools_service_domain( domain , entrypoint )

##### Summary

Define a specified domain as a supervised service.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
entrypoint | The type associated with the process program.

Return